# Interface Error

interface Error {
message: string;
name: string;
stack?: string;
}

#### Hierarchy (view full)

- Error
  - ErrnoException

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1075
- Defined in node_modules/typescript/lib/lib.es5.d.ts:1087

#####
Index

### Properties

message
name
stack?

## Properties

### message

message: string

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1076

### `Optional` stack

stack?: string

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1078